### javax.script

# Interface ScriptEngineFactory

`public interface ScriptEngineFactory`

ScriptEngineFactory is used to describe a ScriptEngine instance. Each ScriptEngine class implementing ScriptEngine has a corresponding factory which exposes metadata describing the engine class. Nandika Jayawardana <nandika@opensource.lk> Sanka Samaranayake <sanka@opensource.lk>

## Method Summary

`java.lang.String`

`getEngineName()`
  Retrieves the full name of the ScriptEngine.

`java.lang.String`

`getEngineVersion()`
  Retrieves the version of the Script Engine.

`java.lang.String[]`

`getExtensions()`
  Retrieves an array of Strings which are file extensions tipically used for files containing scripts written in the language supported by the ScriptEngine.

`java.lang.String`

`getLanguageName()`
  Retrieves the name of the language supported by the ScriptEngine.

`java.lang.String`

`getLanguageVersion()`
  Retrieves the version of the language supported by the ScriptEngine.

`java.lang.String[]`

`getMimeTypes()`
  Retrieves an array of Strings containing MIME types describing the content which can be processed using the Script Engine.

`java.lang.String[]`

`getNames()`
  Retrieves an array of short descriptive names such as {"javascript", "rhino"} describing the language supported by the Script Engine.

`java.lang.Object`

`getParameter(java.lang.Object key)`
  Retrieves an associated value for the specified key.

`ScriptEngine`

`getScriptEngine()`
  Retrieves an instance of the associated ScriptEngine.

## Method Details

### getEngineName

    public java.lang.String getEngineName()

> Retrieves the full name of the ScriptEngine.

> Returns:
>   the name of the Script Engine

### getEngineVersion

    public java.lang.String getEngineVersion()

> Retrieves the version of the Script Engine.

> Returns:
>   the version of the Script Engine

### getExtensions

    public java.lang.String[] getExtensions()

> Retrieves an array of Strings which are file extensions tipically used for files containing scripts written in the language supported by the ScriptEngine.

> Returns:
>   string array of supported file extensions

### getLanguageName

    public java.lang.String getLanguageName()

> Retrieves the name of the language supported by the ScriptEngine.

> Returns:
>   the name of the supported language

### getLanguageVersion

    public java.lang.String getLanguageVersion()

> Retrieves the version of the language supported by the ScriptEngine.

> Returns:
>   the version of the supported language

### getMimeTypes

    public java.lang.String[] getMimeTypes()

> Retrieves an array of Strings containing MIME types describing the content which can be processed using the Script Engine.

> Returns:
>   string array of MIME types

### getNames

    public java.lang.String[] getNames()

> Retrieves an array of short descriptive names such as {"javascript", "rhino"} describing the language supported by the Script Engine.

> Returns:
>   an array of short descriptive names describing the language supported by the ScriptEngine

### getParameter

    public java.lang.Object getParameter(java.lang.Object key)

> Retrieves an associated value for the specified key. Returns null if the ScriptEngine does not have an associated value for the key.

> Returns:
>   associated value for the specified key

### getScriptEngine

    public ScriptEngine getScriptEngine()

> Retrieves an instance of the associated ScriptEngine.

> Returns:
>   an instance of the associated ScriptEngine